

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-alpha-akpm/arch/alpha/kernel/osf_sys.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/alpha/kernel/osf_sys.c~arch_alpha_kernel_osf_sys-tiny-cleanup-retvalpatch-fix arch/alpha/kernel/osf_sys.c
--- 25-alpha/arch/alpha/kernel/osf_sys.c~arch_alpha_kernel_osf_sys-tiny-cleanup-retvalpatch-fix	2005-03-07 01:21:02.000000000 -0800
+++ 25-alpha-akpm/arch/alpha/kernel/osf_sys.c	2005-03-07 01:26:54.000000000 -0800
@@ -989,13 +989,13 @@ osf_select(int n, fd_set __user *inp, fd
 	char *bits;
 	size_t size;
 	long timeout;
-	int ret -EINVAL;
+	int ret = -EINVAL;
 
 	timeout = MAX_SCHEDULE_TIMEOUT;
 	if (tvp) {
 		time_t sec, usec;
 
-		if (!access_ok(VERIFY_READ, tvp, sizeof(*tvp)
+		if (!access_ok(VERIFY_READ, tvp, sizeof(*tvp))
 		    || __get_user(sec, &tvp->tv_sec)
 		    || __get_user(usec, &tvp->tv_usec)) {
 		    	ret = -EFAULT;
_
